Reject Crypto Deposit
curl --request POST \
--url https://api.paxos.com/v2/transfer/crypto-deposits/{id}/reject \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identity_id": "54385e67-d7ef-40d1-b488-ceda6dd9b264"
}
'import requests
url = "https://api.paxos.com/v2/transfer/crypto-deposits/{id}/reject"
payload = { "identity_id": "54385e67-d7ef-40d1-b488-ceda6dd9b264" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({identity_id: '54385e67-d7ef-40d1-b488-ceda6dd9b264'})
};
fetch('https://api.paxos.com/v2/transfer/crypto-deposits/{id}/reject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"type": "about:blank",
"title": "Bad Request",
"status": 400,
"detail": "id must be uuid, given 2d929a0d-e1e3-4781-b7f8-7b34e66f"
}{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "no crypto deposit found for id: 2d929a0d-e1e3-4781-b7f8-7b34e66f7832"
}{
"type": "about:blank",
"title": "Conflict",
"status": 409,
"detail": "crypto deposit 2d929a0d-e1e3-4781-b7f8-7b34e66f7832 does not need info"
}Crypto Deposits
Reject Crypto Deposit
Reject a crypto deposit which is waiting for required travel rule information about the originator address.
If the rejected deposit has any status other than NEEDS_INFO, the request will return an error.
Only the creator of the crypto deposit can reject it.
POST
/
transfer
/
crypto-deposits
/
{id}
/
reject
Reject Crypto Deposit
OAuth Scope
transfer:reject_crypto_deposit
Authorizations
Paxos APIs use OAuth 2 with the client credentials grant flow.
Token URLs:
- Production: https://oauth.paxos.com/oauth2/token
- Sandbox: https://oauth.sandbox.paxos.com/oauth2/token
Learn more in the API credentials guide โ
Path Parameters
Body
application/json
The Identity (identity_id) of the end user that requests to reject the deposit.
Response
A successful response.
The response is of type object.
Was this page helpful?
โI